Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics
Class PolygonView

    java.lang.Object
      ru.biosoft.graphics.View
          ru.biosoft.graphics.ShapeView
              ru.biosoft.graphics.PolygonView

Direct Known Subclasses:
  PolylineView

public class PolygonView
extends ShapeView

Field Summary

Fields inherited from class ru.biosoft.graphics.ShapeView
`brush, pen`

Fields inherited from class ru.biosoft.graphics.View
`ACTIVE, at, BASELINE, BOTTOM, CENTER, HIDE, LEFT, model, RIGHT, shape, TOP, type`

Constructor Summary
`PolygonView(Pen pen, Brush brush)`
`PolygonView(Pen pen, Brush brush, int[] xpoints, int[] ypoints)`
`PolygonView(Pen pen, Brush brush, java.awt.Polygon polygon)`

Method Summary
`void` | `addPoint(int x, int y)`
`void` | `addPoint(java.awt.Point p)`
`void` | `move(int x, int y)` Moves View to the new location using specified offsets.

Methods inherited from class ru.biosoft.graphics.ShapeView
`getBrush, getPen, paint, setToScale`

Methods inherited from class ru.biosoft.graphics.View
`getBounds, getModel, getShape, intersects, isActive, isVisible, move, scale, setActive, setLocation, setLocation, setModel, setVisible, updateBounds`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolygonView

    public PolygonView(Pen pen,
                       Brush brush)

### PolygonView

    public PolygonView(Pen pen,
                       Brush brush,
                       int[] xpoints,
                       int[] ypoints)

### PolygonView

    public PolygonView(Pen pen,
                       Brush brush,
                       java.awt.Polygon polygon)

Method Detail

### addPoint

    public void addPoint(java.awt.Point p)

### addPoint

    public void addPoint(int x,
                         int y)

### move

    public void move(int x,
                     int y)

  Description copied from class: `View`
  Moves View to the new location using specified offsets.

  Specified by:
    `move` in class `View`
  Parameters:
    `x` - offset along the X axis direction.
    `y` - offset along the Y axis direction.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.